Bug 887756 - Review Request: lv2-triceratops - An LV2 polyphonic synthesizer
Review Request: lv2-triceratops - An LV2 polyphonic synthesizer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yannick Brosseau
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-12-17 04:15 EST by Brendan Jones
Modified: 2013-02-14 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-12 23:26:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yannick.brosseau: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-12-17 04:15:36 EST
Triceratops a polyphonic subtractive synthesizer plugin for use with the LV2
architecture, there is no standalone version and LV2 is required along
with a suitable host (e.g. Jalv, Zynjacku, Ardour, Qtractor).

SRPM: http://bsjones.fedorapeople.org/reviews/lv2-triceratops-0.1.1-1.d.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/lv2-triceratops.spec

Checking: lv2-triceratops-0.1.1-1.d.fc19.src.rpm
          lv2-triceratops-0.1.1-1.d.fc19.x86_64.rpm
          lv2-triceratops-debuginfo-0.1.1-1.d.fc19.x86_64.rpm
lv2-triceratops.src: W: spelling-error %description -l en_US subtractive -> subtraction, subtract, attractive
lv2-triceratops.src: W: spelling-error %description -l en_US Jalv -> Jamal
lv2-triceratops.x86_64: W: spelling-error %description -l en_US subtractive -> subtraction, subtract, attractive
lv2-triceratops.x86_64: W: spelling-error %description -l en_US Jalv -> Jamal
Comment 2 Yannick Brosseau 2013-01-14 23:37:15 EST
Some quick first comments:

You should put the d in the version number field. 

Also, a new upstream version is available (0.1.2).

It's true that the licensing is a little bit confusing. There is a COPYING file in the tar that state GPL licence, but the other few copyright mention points to ISC. It would be nice to clarify that with upstream. 

The patches name should begin with the package name (lv2-triceratops)
Comment 3 Brendan Jones 2013-01-15 01:30:27 EST
New version removes the need for the patches.

I have queried upstream about the licence. This time round he has included a COPYING file which is GPLV3, although GPLV3 is not mentioned anywhere else.

The plugin manifest is (triceratops.ttl) still states ISC, as do the headers of the main source, so until he gets back to me the license of the project can only be regarded as being ISC.


SRPM: http://bsjones.fedorapeople.org/reviews/lv2-triceratops-0.1.2-1.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/lv2-triceratops.spec
Comment 4 Yannick Brosseau 2013-01-16 15:43:36 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

=> Ok, these SO are private plugins

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in
     /home/scientist/rev/887756-lv2-triceratops/licensecheck.txt

Some files lack a proper license, but that as been reported upstream
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (triceratops-lv2-v0.1.2.tar.gz)
Ok, to follow the naming scheme of the others lv2 plugins

[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.
===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: lv2-triceratops-0.1.2-1.fc17.src.rpm
          lv2-triceratops-debuginfo-0.1.2-1.fc17.x86_64.rpm
          lv2-triceratops-0.1.2-1.fc17.x86_64.rpm
lv2-triceratops.src: I: enchant-dictionary-not-found en_US
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint lv2-triceratops-debuginfo lv2-triceratops
lv2-triceratops.x86_64: W: spelling-error %description -l en_US subtractive -> subtraction, subtract, attractive
lv2-triceratops.x86_64: W: spelling-error %description -l en_US Jalv -> Jamal
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

=> Correct wording in this context

APPROVED.
Comment 5 Brendan Jones 2013-01-18 08:22:04 EST
New Package SCM Request
=======================
Package Name: lv2-triceratops
Short Description: LV2 polyphonic synthesizer
Owners: bsjones
Branches: f18 f17
InitialCC:
Comment 6 Gwyn Ciesla 2013-01-18 10:37:37 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-18 12:34:16 EST
lv2-triceratops-0.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lv2-triceratops-0.1.2-1.fc18
Comment 8 Fedora Update System 2013-01-18 12:34:27 EST
lv2-triceratops-0.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lv2-triceratops-0.1.2-1.fc17
Comment 9 Fedora Update System 2013-01-19 21:59:26 EST
lv2-triceratops-0.1.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-02-12 23:26:05 EST
lv2-triceratops-0.1.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-02-12 23:37:42 EST
lv2-triceratops-0.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.